Skip to main content
`Ctrl`+`K`

# EPSPRIMMESetBlockSize

The maximum block size that PRIMME will try to use.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPRIMMESetBlockSize(EPS eps,PetscInt bs)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- bs - block size

## Options Database Key

- -eps_primme_blocksize <bs> - sets the maximum allowed block size

## Notes

If the block size is not set, the value established by `primme_initialize` is used.

The user should set the block size based on the architecture specifics of the target computer, as well as any a priori knowledge of multiplicities. The code does NOT require `bs` > 1 to find multiple eigenvalues. For some methods, keeping `bs` = 1 yields the best overall performance.

See the documentation of PRIMME [Stathopoulos and McCombs, 2010] for details.

## References

[Sta10]

A. Stathopoulos and J. R. McCombs. PRIMME: PReconditioned Iterative MultiMethod Eigensolver: methods and software description. ACM Trans. Math. Software, 37(2):21:1–21:30, 2010. doi:10.1145/1731022.1731031.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPRIMME`, `EPSPRIMMEGetBlockSize()`

## Level

advanced

## Location

src/eps/impls/external/primme/primme.c

## Implementations

EPSPRIMMESetBlockSize_PRIMME() in src/eps/impls/external/primme/primme.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages